-- GSI - general sound interface
-- sound.e
--
-- Copyright (C) W.H.Scholten 1996,1997,1998
--
-- License: CGPL (see the file LICENSE.CGPL)
--

class GSI_COMMANDS
--Note that this was based on SND_SERVER 0.47 and must be updated for GSI

feature
   SND_OPEN_SERVER : INTEGER is  192
   SND_CLOSE_SERVER : INTEGER is  193
   SND_PAUSE_ALL : INTEGER is  194
   SND_CONTINUE_ALL : INTEGER is  195
   SND_SET_DSP_SPEED : INTEGER is  255
   SND_SET_CHANNELS : INTEGER is  254
   SND_SET_BYTES : INTEGER is  253
   SND_SET_FRAGSIZE : INTEGER is  252
   SND_GRAB_DSP : INTEGER is  251
   SND_RELEASE_DSP : INTEGER is  250
   SND_LOAD_SOUND_LIST : INTEGER is  249
   SND_FREE_SOUND_LIST : INTEGER is  248
   SND_LOAD_LISTED : INTEGER is  247
   SND_FREE_LISTED : INTEGER is  246
   SND_LOAD_SOUND : INTEGER is  245
   SND_LOAD_SOUND_FILE : INTEGER is  244
   SND_LOAD_SOUND_DATA : INTEGER is  243
   SND_FREE_SOUND : INTEGER is  242
   SND_SET_SOUND_DIR : INTEGER is  241
   SND_SET_SOUND : INTEGER is  239
   SND_SET_SOUND_TRANSFORM : INTEGER is  238
   SND_SET_STREAM_SIZE : INTEGER is  237

   SND_PLAY : INTEGER is  0
   SND_OVERWRITE : INTEGER is  1
   SND_REPEAT : INTEGER is  2
   SND_OVERWRITE_REPEAT : INTEGER is  3
   SND_KILL : INTEGER is  4
   SND_LOOP : INTEGER is  5
   SND_OVERWRITE_LOOP : INTEGER is  6
   SND_HOLD : INTEGER is  8
   SND_PLAY_WAVE : INTEGER is  9
   SND_PLAY_FILE : INTEGER is  10
   SND_CHANNEL : INTEGER is  16
   SND_CH_PLAY : INTEGER is  16
   SND_CH_REPEAT : INTEGER is  17
   SND_CH_OVERWRITE : INTEGER is  18
   SND_CH_OVERWRITE_REPEAT : INTEGER is  19
   SND_KILLALL : INTEGER is  32
   SND_PAUSE : INTEGER is  14
   SND_CONTINUE : INTEGER is  15

   SND_BIT_CHANNEL_X : INTEGER is  1
   SND_BIT_CHANNEL_DX : INTEGER is  2
   SND_BIT_CHANNEL_Z : INTEGER is  4
   SND_BIT_CHANNEL_DZ : INTEGER is  8
   SND_BIT_OBSERVER_X : INTEGER is  16
   SND_BIT_OBSERVER_DX : INTEGER is  32
   SND_BIT_OBSERVER_Z : INTEGER is  64
   SND_BIT_OBSERVER_DZ : INTEGER is  128
   SND_BIT_CHANNEL_ECHO : INTEGER is  256
   SND_BIT_ALL_ECHO : INTEGER is  512
   SND_BIT_CHANNEL_DOPPLER : INTEGER is  1024
   SND_BIT_ALL_DOPPLER : INTEGER is  2048
   SND_BIT_NOISE : INTEGER is  4096
   SND_BIT_ENVELOPE : INTEGER is  8192

   SND_SET_X : INTEGER is  64
   SND_SET_DX : INTEGER is  65
   SND_SET_Z : INTEGER is  66
   SND_SET_DZ : INTEGER is  67
   SND_SET_ECHO : INTEGER is  68
   SND_SET_ECHO_OFF : INTEGER is  69
   SND_SET_DOPPLER : INTEGER is  70
   SND_SET_DOPPLER_OFF : INTEGER is  71
   SND_SET_USE_ENVELOPE : INTEGER is  72
   SND_SET_OX : INTEGER is  80
   SND_SET_ODX : INTEGER is  81
   SND_SET_OZ : INTEGER is  82
   SND_SET_ODZ : INTEGER is  83
   SND_SET_OECHO : INTEGER is  84
   SND_SET_OECHO_OFF : INTEGER is  85
   SND_SET_ODOPPLER : INTEGER is  86
   SND_SET_ODOPPLER_OFF : INTEGER is  87
   SND_SET_CURRENT : INTEGER is  32
   SND_CURRENT : INTEGER is  32

   SND_ENVELOPE : INTEGER is  64
   SND_MAKE_ENVELOPE : INTEGER is  65
   SND_DEFAULT_VOLUME : INTEGER is  27
   SND_CHANGE_CHANNEL_VOLUME : INTEGER is  28
   SND_DEFAULT_CHANNEL_VOLUME : INTEGER is  29
   SND_CHANGE_VOLUME : INTEGER is  26
end
